Skip to content
Changelog

Report a bug

JumpCloud integration: operations for AI agents

JumpCloud connects to Type.com as an integration. This page lists the 892 operations documented for Claude and Codex in Type.com: 517 read, 219 write, 156 destructive.

About JumpCloud

JumpCloud is a cloud-based directory platform that provides secure identity, access, and device management solutions for organizations.

Categories: Security & Identity

How to connect JumpCloud to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

892 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

892 operations listed.

Application Templates

  • Read

    List Application Templates

    The endpoint returns all the SSO / SAML Application Templates. Sample Request curl -X GET https://console.jumpcloud.com/api/application-templates \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get an Application Template

    The endpoint returns a specific SSO / SAML Application Template. Sample Request curl -X GET https://console.jumpcloud.com/api/application-templates/{id} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

Applications

  • Read

    Applications

    The endpoint returns all your SSO / SAML Applications. Sample Request curl -X GET https://console.jumpcloud.com/api/applications \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get an Application

    The endpoint retrieves an Application.

  • Read

    Get a list of users to import from an Application IdM service provider

    Get a list of users to import from an Application IdM service provider.

  • Read

    List Provider Applications

    The endpoint returns all Provider SSO / SAML Applications

  • Read

    Get Provider Application Associations

    Get the associations of a Provider SSO Application by ID. Returns organization IDs associated with the provider.

  • Write

    Create an Application

    The endpoint adds a new SSO / SAML Applications.

  • Write

    Create an import job

    This endpoint allows you to create a user import job that will import new users and/or update existing users in JumpCloud from the application. The endpoint can currently only be used for applications that have an active Identity Management custom API integration.

  • Write

    Edit associations of a Provider Application

    Associates a Provider's SSO Application with an organization.

  • Destructive

    Update an Application

    The endpoint updates a SSO / SAML Application. Any fields not provided will be reset or created with default values.

  • Destructive

    Delete an Application

    The endpoint deletes an SSO / SAML Application.

Command Triggers

  • Write

    Launch a command via a Trigger

    This endpoint allows you to launch a command based on a defined trigger.

Command Results

  • Read

    List all Command Results

    This endpoint returns all command results. Sample Request curl -X GET https://console.jumpcloud.com/api/commandresults \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key:{APIKEY}' To filter command results use the Search API

  • Read

    List an individual Command result

    This endpoint returns a specific command result. Sample Request curl -X GET https://console.jumpcloud.com/api/commandresults/{CommandResultID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Destructive

    Delete a Command result

    This endpoint deletes a specific command result. Sample Request curl -X DELETE https://console.jumpcloud.com/api/commandresults/{id} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

Commands

  • Read

    List All Commands

    This endpoint returns all commands. Sample Request curl -X GET https://console.jumpcloud.com/api/commands/ \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List an individual Command

    This endpoint returns a specific command based on the command ID. Sample Request curl -X GET https://console.jumpcloud.com/api/commands/{CommandID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get a Command File

    This endpoint returns the uploaded file(s) associated with a specific command. Sample Request curl -X GET https://console.jumpcloud.com/api/files/command/{commandID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get results for a specific command

    This endpoint returns results for a specific command. Sample Request curl -X GET https://console.jumpcloud.com/api/commands/{id}/results \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Fetch the queued Commands for an Organization

    This endpoint will return all queued Commands for an Organization. Each element will contain the workflow ID, the command name, the launch type (e.g.

  • Write

    Create A Command

    This endpoint allows you to create a new command. In an OU provider context with enterprise command sharing enabled, create has two outcomes.

  • Write

    Run a command

    This endpoint allows you to run a command. Sample Request curl -X POST https://console.jumpcloud.com/api/runCommand \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}' -d '{"id":"{commandID}", "systemIds":["systemId"]}'

  • Destructive

    Update a Command

    This endpoint Updates a command based on the command ID and returns the modified command record.

  • Destructive

    Delete a Command

    This endpoint deletes a specific command based on the Command ID. Sample Request curl -X DELETE https://console.jumpcloud.com/api/commands/{CommandID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Destructive

    Cancel all queued commands for an organization by workflow instance Id

    This endpoint allows all queued commands for one workflow instance to be canceled. Sample Request curl -X DELETE https://console.jumpcloud.com/api/v2/commandqueue/{workflowinstanceid} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

Organizations

  • Read

    Get Organization Details

    This endpoint returns Organization Details. Sample Request curl -X GET \ https://console.jumpcloud.com/api/organizations \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get an Organization

    This endpoint returns a particular Organization. Sample Request curl -X GET https://console.jumpcloud.com/api/organizations/{OrganizationID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get all cases (Support/Feature requests) for organization

    This endpoint returns the cases (Support/Feature requests) for the organization

  • Destructive

    Update an Organization

    This endpoint allows you to update an Organization. Note: passwordPolicy settings are only used when passwordCompliance is set to "custom". We discourage the use of non-custom passwordCompliance values. emailDisclaimer can only be modified by paying customers.

Radius Servers

  • Read

    List Radius Servers

    This endpoint allows you to get a list of all RADIUS servers in your organization. Sample Request curl -X GET https://console.jumpcloud.com/api/radiusservers/ \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}' \

  • Read

    Get Radius Server

    This endpoint allows you to get a RADIUS server in your organization. curl -X PUT https://console.jumpcloud.com/api/radiusservers/{ServerID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}' \

  • Write

    Create a Radius Server

    This endpoint allows you to create RADIUS servers in your organization.

  • Destructive

    Update Radius Servers

    This endpoint allows you to update RADIUS servers in your organization.

  • Destructive

    Delete Radius Server

    This endpoint allows you to delete RADIUS servers in your organization. curl -X DELETE https://console.jumpcloud.com/api/radiusservers/{ServerID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}' \

Search

  • Read

    Search Organizations

    This endpoint will return Organization data based on your search parameters. This endpoint WILL NOT allow you to add a new Organization. You can use the supported parameters and pass those in the body of request. The parameters must be passed as Content-Type application/json.

  • Read

    Search Systems

    Return Systems in multi-record format allowing for the passing of the filter and searchFilter parameters. This WILL NOT allow you to add a new system.

  • Read

    Search System Users

    Return System Users in multi-record format allowing for the passing of the filter and searchFilter parameters. This WILL NOT allow you to add a new system user.

  • Read

    Search Commands

    Return Commands in multi-record format allowing for the passing of the filter and searchFilter parameters. This WILL NOT allow you to add a new command.

  • Read

    Search Commands Results

    Return Command Results in multi-record format allowing for the passing of the filter parameter. To support advanced filtering you can use the filter and searchFilter parameters that can only be passed in the body of POST /api/search/commandresults route.

Systems

  • Read

    List All Systems

    This endpoint returns all Systems. Sample Requests curl -X GET https://console.jumpcloud.com/api/systems \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List an individual system

    This endpoint returns an individual system. Sample Request curl -X GET https://console.jumpcloud.com/api/systems/{SystemID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get System FDE Key

    This endpoint will return the current (latest) fde key saved for a system.

  • Read

    List the associated Software Application Statuses of a System

    This endpoint returns all the statuses of the associated Software Applications from the provided JumpCloud system ID.

  • Read

    Get all Access Requests by Access Id

    Endpoint for getting all access requests by access id

  • Write

    Lock a System

    This endpoint allows you to run the lock command on the specified device. If a device is offline, the command will be run when the device becomes available. Only supported on Linux and Windows devices. Use Apple MDM security commands for macOS devices.

  • Write

    Restart a System

    This endpoint allows you to run the restart command on the specified device. If a device is offline, the command will be run when the device becomes available. Only supported on Linux and Windows devices. Use Apple MDM security commands for macOS devices.

  • Write

    Shutdown a System

    This endpoint allows you to run the shutdown command on the specified device. If a device is offline, the command will be run when the device becomes available. Only supported on Linux and Windows devices. Use Apple MDM security commands for macOS devices.

  • Write

    Create Access Request

    Endpoint for adding a new access request

  • Destructive

    Update a system

    This endpoint allows you to update a system. Sample Request curl -X PUT https://console.jumpcloud.com/api/systems/{SystemID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{ "displayName":"NameUpdate", "allowSshPasswordAuth…

  • Destructive

    Delete a System

    This endpoint allows you to delete a system. This command will cause the system to uninstall the JumpCloud agent from its self which can can take about a minute. If the system is not connected to JumpCloud the system record will simply be removed.

  • Destructive

    Erase a System

    This endpoint allows you to run the erase command on the specified device. If a device is offline, the command will be run when the device becomes available. Only supported on Linux and Windows devices. Use Apple MDM security commands for macOS devices.

    POST /systems/{system_id}/command/builtin/erase

  • Destructive

    Update access request by id

    Endpoint for updating access request by id

  • Destructive

    Revoke access request by id

    Endpoint for revoking access request by id

Systemusers

  • Read

    List all system users

    This endpoint returns all systemusers. Sample Request curl -X GET https://console.jumpcloud.com/api/systemusers \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List a system user

    This endpoint returns a particular System User. Sample Request curl -X GET https://console.jumpcloud.com/api/systemusers/{UserID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List a system user's public SSH keys

    This endpoint will return a specific System User's public SSH key.

  • Read

    Display info about a System User's TOTP enrollment.

    This endpoint will return info for a specific System User's TOTP enrollment.

  • Write

    Create a system user

    "This endpoint allows you to create a new system user. Default User State The state of the user can be explicitly passed in or omitted. If state is omitted from the request, then the user will get created using the value returned from the Get an Organization endpoint.

  • Write

    Expire a system user's password

    This endpoint allows you to expire a user's password.

  • Write

    Force set a system user's password

    Force set a user's password.

  • Write

    Update a system user's MFA properties

    This endpoint updates a user's MFA properties. Sample Request curl -X POST \ https://console.jumpcloud.com/api/systemusers/{UserID}/mfa/enforce \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{ "enableuserportalmultifactor":…

  • Write

    Reset a system user's MFA token

    This endpoint resets the user's TOTP key and initiates a new MFA enrollment period. The user will be prompted to set up MFA at their next login. If Unified MFA is enabled, this action will also delete the user's existing Push Notification endpoint.

  • Write

    Sync a systemuser's mfa enrollment status

    This endpoint allows you to re-sync a user's mfa enrollment status Sample Request curl -X POST \ https://console.jumpcloud.com/api/systemusers/{UserID}/mfasync \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}' \

  • Write

    Create a system user's Public SSH Key

    This endpoint will create a specific System User's Public SSH Key.

  • Write

    Unlock a system user

    This endpoint allows you to unlock a user's account.

  • Write

    Activate System User

    This endpoint changes the state of a STAGED user to ACTIVATED. Email Flag Use the "email" flag to determine whether or not to send a Welcome or Activation email to the newly activated user.

  • Write

    Suspend System User

    This endpoint changes the state of a user to SUSPENDED. Request body must be empty. Sample Request curl -X POST https://console.jumpcloud.com/api/systemusers/{id}/state/suspend \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: '

  • Write

    Reactivate System User

    This endpoint triggers the sending of a reactivation e-mail to a system user.

  • Destructive

    Update a system user

    This endpoint allows you to update a system user. Sample Request curl -X PUT https://console.jumpcloud.com/api/systemusers/{UserID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{ "email":"{emailaddress}", "firstname":"{Na…

  • Destructive

    Delete a system user

    This endpoint allows you to delete a particular system user. Sample Request curl -X DELETE https://console.jumpcloud.com/api/systemusers/{UserID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Destructive

    Delete a system user's Public SSH Keys

    This endpoint will delete a specific System User's SSH Key.

Users

  • Read

    Administrator Password Reset Initiation

    This endpoint triggers the sending of a reactivation e-mail to an administrator.

  • Read

    List Push Endpoints associated with a User

    This endpoint returns the list of push endpoints associated with a user. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/pushendpoints \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: ${APIKEY}'

  • Read

    Get a push endpoint associated with a User

    This endpoint will retrieve a push endpoint associated with a user.

  • Write

    Administrator TOTP Reset Initiation

    This endpoint initiates a TOTP reset for an admin. This request does not accept a body.

  • Write

    Update a push endpoint associated with a User

    This endpoint will update a push endpoint associated with a user.

  • Destructive

    Update a user

    This endpoint allows you to update a user.

  • Destructive

    Delete a Push Endpoint associated with a User

    This endpoint will delete a push endpoint associated with a user.

Agents

  • Read

    List agents

    Retrieves a paginated list of agents in your organization.

  • Read

    Retrieve an agent

    Retrieves an agent in your organization.

  • Read

    List agent's credentials

    Retrieves a list of credentials for the agent. Credential secrets are never returned.

  • Write

    Register an agent

    Registers a new agent identity in your organization.

  • Write

    Update an agent

    Updates an agent in your organization. Omitted fields are left unchanged.

  • Write

    Suspend an agent

    Suspends an agent in your organization. Suspended agents are blocked from accessing JumpCloud resources.

  • Write

    Activate an agent

    Activates a previously suspended agent in your organization.

  • Write

    Create an agent credential

    Creates the OAuth 2.0 credential for an agent in your organization.

  • Write

    Update an agent credential

    Update the OAuth 2.0 credential for an agent in your organization.

  • Destructive

    Delete an agent

    Permanently deletes an agent in your organization.

  • Destructive

    Delete an agent's credential

    Deletes the OAuth 2.0 credential for an agent.

Assets

  • Read

    List field configurations

    Retrieve a list of field configurations available for assets. Field configurations define all fields and their properties for organizing asset data.

  • Read

    List select options for a field configuration

    Get all select options available for a specific field configuration by ID

  • Read

    Get a device asset by ID

    Retrieve a specific device asset by its ID

  • Read

    List device assets

    Retrieve a list of device assets with optional pagination

  • Read

    Get a device asset by JC System ID

    Retrieve a specific device asset by its JumpCloud System ID

  • Read

    Get an accessory asset by ID

    Retrieve a specific accessory asset by its ID

  • Read

    List accessory assets

    Retrieve a list of accessory assets with optional pagination

  • Read

    Get a location asset

    Retrieve a specific location asset by its ID

  • Read

    List location assets

    Retrieve a list of location assets with optional pagination

  • Read

    List device asset history

    Retrieve the history of a device asset

  • Read

    List accessory asset history

    Retrieve the history of an accessory asset

  • Read

    List location asset history

    Retrieve the history of a location asset

  • Write

    Create a device asset

    Create a new device asset

  • Write

    Batch update device assets

    Update multiple device assets with a single field value change

  • Write

    Create an accessory asset

    Create a new accessory asset

  • Write

    Batch update accessory assets

    Update multiple accessory assets with a single field value change

  • Write

    Create a location asset

    Create a new location asset

  • Write

    Batch update location assets

    Update multiple location assets with a single field value change

  • Write

    Create device asset history note

    Add a note to the device asset history

  • Write

    Create accessory asset history note

    Add a note to the accessory asset history

  • Write

    Create location asset history note

    Add a note to the location asset history

  • Destructive

    Update a device asset

    Update an existing device asset by its ID

  • Destructive

    Delete a device asset

    Delete an existing device asset by its ID

  • Destructive

    Update an accessory asset

    Update an existing accessory asset by its ID

  • Destructive

    Delete an accessory asset

    Delete an existing accessory asset by its ID

  • Destructive

    Update a location asset

    Update an existing location asset by its ID

  • Destructive

    Delete a location asset

    Delete an existing location asset by its ID

Workflows

  • Read

    List workflows

    Get a list of workflows

  • Read

    Get workflow

    Get a single workflow by ID

  • Read

    List Workflow runs

    Get a list of workflow runs

  • Read

    Get workflow run by id

    Get a workflow run by its ID

  • Read

    List workflow templates

    Get a list of available workflow templates

  • Read

    Get workflow template

    Get a single workflow template by ID

  • Write

    Create workflow

    Create a new workflow

  • Write

    Manually trigger a workflow

    Manually trigger a workflow by its ID

  • Destructive

    Update a workflow

    Update an existing workflow by its ID

  • Destructive

    Delete a workflow

    Delete an existing workflow by its ID

Saa S App Management

  • Read

    List catalog applications

    Retrieve a paginated list of catalog applications. Supports filtering by name and batch retrieval by IDs.

  • Read

    Get catalog application

    Retrieve a specific catalog application by ID. Supports both custom (org-specific) and managed (global) catalog application IDs.

  • Read

    List applications

    Retrieve a paginated list of applications for the organization

  • Read

    Get application

    Retrieve a specific application by ID

  • Read

    Get application usage

    Retrieve a specific application usage by application ID

  • Read

    List licenses

    Retrieve a paginated list of licenses for an organization

  • Read

    List application licenses

    Retrieve a paginated list of licenses for a specific application

  • Read

    List application accounts

    Retrieve accounts for a specific application

  • Read

    Get account

    Retrieve a specific account by ID

  • Write

    Create application

    Create a new application

  • Destructive

    Update application

    Update an existing application

  • Destructive

    Delete application

    Delete a specific application

  • Destructive

    Delete account

    Delete a specific account

Active Directory

  • Read

    List Active Directories

    This endpoint allows you to list all your Active Directory Instances. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/activedirectories/ \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List Active Directory Agents

    This endpoint allows you to list all your Active Directory Agents for a given Instance.

  • Read

    Get Active Directory Agent

    This endpoint returns an Active Directory agent. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/activedirectories/{activedirectoryid}/agents/{agentid} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get an Active Directory

    This endpoint returns a specific Active Directory. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/activedirectories/{ActiveDirectoryID} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Write

    Create a new Active Directory

    This endpoint allows you to create a new Active Directory. Sample Request curl -X POST https://console.jumpcloud.com/api/v2/activedirectories/ \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{ "domain": "{DC=ADdomainname;DC=…

  • Write

    Create a new Active Directory Agent

    This endpoint allows you to create a new Active Directory Agent.

  • Write

    Update Active Directory

    This endpoint allows you to update Active Directory. Here use case can be one of: - AD as Authority - password in AD - 2-way sync use case is selected. - JC as Authority - one-way sync from AD.

  • Destructive

    Delete Active Directory Agent

    This endpoint deletes an Active Directory agent. Sample Request curl -X DELETE https://console.jumpcloud.com/api/v2/activedirectories/{activedirectoryid}/agents/{agentid} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Destructive

    Delete an Active Directory

    This endpoint allows you to delete an Active Directory Instance. Sample Request curl -X DELETE https://console.jumpcloud.com/api/v2/activedirectories/{ActiveDirectoryID} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

Graph

  • Read

    List the associations of an Active Directory instance

    This endpoint returns the direct associations of this Active Directory instance. A direct association can be a non-homogeneous relationship between 2 different objects, for example Active Directory and Users.

  • Read

    List the User Groups bound to an Active Directory instance

    This endpoint will return all Users Groups bound to an Active Directory instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the Users bound to an Active Directory instance

    This endpoint will return all Users bound to an Active Directory instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of an Application

    This endpoint will return the direct associations of an Application. A direct association can be a non-homogeneous relationship between 2 different objects, for example Applications and User Groups.

  • Read

    List an application's assigned agents

    Retrieves a list of all agents assigned to an application in your organization.

  • Read

    List the User Groups bound to an Application

    This endpoint will return all Users Groups bound to an Application, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the Users bound to an Application

    This endpoint will return all Users bound to an Application, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of a Command

    This endpoint will return the direct associations of this Command. A direct association can be a non-homogeneous relationship between 2 different objects, for example Commands and User Groups.

  • Read

    List the System Groups bound to a Command

    This endpoint will return all System Groups bound to a Command, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the Systems bound to a Command

    This endpoint will return all Systems bound to a Command, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of a G Suite instance

    This endpoint returns the direct associations of this G Suite instance. A direct association can be a non-homogeneous relationship between 2 different objects, for example G Suite and Users.

  • Read

    List the User Groups bound to a G Suite instance

    This endpoint will return all User Groups bound to an G Suite instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the Users bound to a G Suite instance

    This endpoint will return all Users bound to a G Suite instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of a LDAP Server

    This endpoint returns the direct associations of this LDAP Server. A direct association can be a non-homogeneous relationship between 2 different objects, for example LDAP and Users.

  • Read

    List the User Groups bound to a LDAP Server

    This endpoint will return all Users Groups bound to a LDAP Server, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the Users bound to a LDAP Server

    This endpoint will return all Users bound to an LDAP Server, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of an Password Manager item

    This endpoint returns direct associations of a Password Manager Item. A direct association can be a non-homogeneous relationship between 2 different objects, for example Password Mangager Item and Users.

  • Read

    List the Users bound to a Password Manager Item

    This endpoint will return all Users bound to a Password Manager Item, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the User Groups bound to a Password Manager Item

    This endpoint will return all Users Groups bound to Password Manager Item, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the associations of an Office 365 instance

    This endpoint returns direct associations of an Office 365 instance. A direct association can be a non-homogeneous relationship between 2 different objects, for example Office 365 and Users.

  • Read

    List the User Groups bound to an Office 365 instance

    This endpoint will return all Users Groups bound to an Office 365 instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the Users bound to an Office 365 instance

    This endpoint will return all Users bound to an Office 365 instance, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of a Policy

    This endpoint returns the direct associations of a Policy. A direct association can be a non-homogeneous relationship between 2 different objects, for example Policies and Systems.

  • Read

    List the parent Groups of a Policy

    This endpoint returns all the Policy Groups a Policy is a member of. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policies/{PolicyID}/memberof \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the System Groups bound to a Policy

    This endpoint will return all Systems Groups bound to a Policy, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the Users bound to a Policy

    This endpoint will return all Users bound to a Policy, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the User Groups bound to a Policy

    This endpoint will return all User Groups bound to a Policy, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Systems bound to a Policy

    This endpoint will return all Systems bound to a Policy, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List an agent group's assigned applications

    Retrieves a list of all applications assigned to an agent group in your organization.

  • Read

    List the members of an agent group

    Retrieves agents directly assigned to an agent group.

  • Read

    List an agent's assigned applications

    Retrieves a list of all applications assigned to an agent in your organization.

  • Read

    List an agent's groups

    Retrieves the agent groups to which an agent belongs.

  • Read

    List the associations of a Policy Group.

    This endpoint returns the direct associations of this Policy Group. A direct association can be a non-homogeneous relationship between 2 different objects, for example Policy Groups and Policies.

  • Read

    List the members of a Policy Group

    This endpoint returns the Policy members of a Policy Group. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policygroups/{GroupID}/members \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the Policy Group's membership

    This endpoint returns all Policy members that are a member of this Policy Group. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policygroups/{GroupID}/membership \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the System Groups bound to Policy Groups

    This endpoint will return all System Groups bound to a Policy Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Systems bound to a Policy Group

    This endpoint will return all Systems bound to a Policy Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

  • Read

    List the Users bound to a Policy Group

    This endpoint will return all Users bound to a Policy Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the User Groups bound to a Policy Group

    This endpoint will return all User Groups bound to a Policy Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of a RADIUS Server

    This endpoint returns the direct associations of a Radius Server. A direct association can be a non-homogeneous relationship between 2 different objects, for example Radius Servers and Users.

  • Read

    List the User Groups bound to a RADIUS Server

    This endpoint will return all Users Groups bound to a RADIUS Server, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the System Groups bound to a RADIUS Server

    This endpoint will return all System Groups bound to a RADIUS Server, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the Users bound to a RADIUS Server

    This endpoint will return all Users bound to a RADIUS Server, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of a Rule

    This endpoint returns the direct associations of a Health monitoring Rule. A direct association can be a non-homogeneous relationship between 2 different objects, for example Rules and Systems.

  • Read

    List the System Groups bound to a Rule

    This endpoint will return all Systems Groups bound to a Health Monitoring Rule, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the associations of a Software Application

    This endpoint will return the direct associations of a Software Application. A direct association can be a non-homogeneous relationship between 2 different objects, for example Software Application and System Groups.

  • Read

    List the System Groups bound to a Software App.

    This endpoint will return all Systems Groups bound to a Software App, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the Systems bound to a Software App.

    This endpoint will return all Systems bound to a Software App, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of a System Group

    This endpoint returns the direct associations of a System Group. A direct association can be a non-homogeneous relationship between 2 different objects, for example System Groups and Users.

  • Read

    List the Commands bound to a System Group

    This endpoint will return all Commands bound to a System Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the members of a System Group

    This endpoint returns the system members of a System Group. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{GroupID}/members \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the System Group's membership

    This endpoint returns all Systems that are a member of this System Group. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/systemgroups/{GroupID/membership \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the Policy Groups bound to a System Group

    This endpoint will return all Policy Groups bound to a System Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Policies bound to a System Group

    This endpoint will return all Policies bound to a System Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the User Groups bound to a System Group

    This endpoint will return all User Groups bound to a System Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Users bound to a System Group

    This endpoint will return all Users bound to a System Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of a System

    This endpoint returns the direct associations of a System. A direct association can be a non-homogeneous relationship between 2 different objects, for example Systems and Users.

  • Read

    List the Commands bound to a System

    This endpoint will return all Commands bound to a System, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the parent Groups of a System

    This endpoint returns all the System Groups a System is a member of. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/systems/{SystemID}/memberof \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the Policy Groups bound to a System

    This endpoint will return all Policy Groups bound to a System, either directly or indirectly essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Policies bound to a System

    This endpoint will return all Policies bound to a System, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the policy statuses for a system

    This endpoint returns the policy results for a particular system. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/systems/{SystemID}/policystatuses \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the User Groups bound to a System

    This endpoint will return all User Groups bound to a System, either directly or indirectly essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Users bound to a System

    This endpoint will return all Users bound to a System, either directly or indirectly essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Active Directories bound to a User Group

    This endpoint will return all Active Directory Instances bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. The attributes object is a key/value hash of compiled graph attributes for all paths followed.

  • Read

    List the Applications bound to a User Group

    This endpoint will return all Applications bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

  • Read

    List the associations of a User Group.

    This endpoint returns the direct associations of this User Group. A direct association can be a non-homogeneous relationship between 2 different objects, for example User Groups and Users.

  • Read

    List the Directories bound to a User Group

    This endpoint will return all Directories bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

  • Read

    List the G Suite instances bound to a User Group

    This endpoint will return all G Suite Instances bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

  • Read

    List the LDAP Servers bound to a User Group

    This endpoint will return all LDAP Servers bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

  • Read

    List the members of a User Group

    This endpoint returns the user members of a User Group. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/members \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the User Group's membership

    This endpoint returns all users members that are a member of this User Group. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID}/membership \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the Office 365 instances bound to a User Group

    This endpoint will return all Office 365 instances bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

  • Read

    List the Policies bound to a User Group

    This endpoint will return all Policies bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Policy Groups bound to a User Group

    This endpoint will return all Policy Groups bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the RADIUS Servers bound to a User Group

    This endpoint will return all RADIUS servers bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

  • Read

    List the System Groups bound to User Groups

    This endpoint will return all System Groups bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Systems bound to a User Group

    This endpoint will return all Systems bound to a User Group, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization.

  • Read

    List the Active Directory instances bound to a User

    This endpoint will return all Active Directory Instances bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Applications bound to a User

    This endpoint will return all Applications bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of a User

    This endpoint returns the direct associations of a User. A direct association can be a non-homogeneous relationship between 2 different objects, for example Users and Systems.

  • Read

    List the Directories bound to a User

    This endpoint will return all Directories bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the G Suite instances bound to a User

    This endpoint will return all G-Suite Instances bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the LDAP servers bound to a User

    This endpoint will return all LDAP Servers bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the parent Groups of a User

    This endpoint returns all the User Groups a User is a member of. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/memberof \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the Office 365 instances bound to a User

    This endpoint will return all Office 365 Instances bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Policies bound to a User

    This endpoint will return all Policies bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Policy Groups bound to a User

    This endpoint will return all Policy Groups bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the policy statuses for a user

    This endpoint returns the policy results for a particular user. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/policystatuses \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List the RADIUS Servers bound to a User

    This endpoint will return all RADIUS Servers bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the System Groups bound to a User

    This endpoint will return all System Groups bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the Systems bound to a User

    This endpoint will return all Systems bound to a User, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Read

    List the associations of a Routing Policy

    This endpoint returns the direct associations of a Routing Policy. A direct association can be a non-homogeneous relationship between 2 different objects, for example a Routing Policy and Users.

  • Read

    List the User Groups bound to a Routing Policy

    This endpoint will return all Users Groups bound to a routing policy, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the group's type, id, attributes and paths.

  • Read

    List the Users bound to a Routing Policy

    This endpoint will return all Users bound to a routing policy, either directly or indirectly, essentially traversing the JumpCloud Graph for your Organization. Each element will contain the type, id, attributes and paths.

  • Write

    Manage the associations of an Active Directory instance

    This endpoint allows you to manage the direct associations of an Active Directory instance. A direct association can be a non-homogeneous relationship between 2 different objects, for example Active Directory and Users.

  • Write

    Manage the associations of an Application

    This endpoint allows you to manage the direct associations of an Application. A direct association can be a non-homogeneous relationship between 2 different objects, for example Application and User Groups.

  • Write

    Manage the associations of a Command

    This endpoint will allow you to manage the direct associations of this Command. A direct association can be a non-homogeneous relationship between 2 different objects, for example Commands and User Groups.

  • Write

    Manage the associations of a G Suite instance

    This endpoint returns the direct associations of this G Suite instance. A direct association can be a non-homogeneous relationship between 2 different objects, for example G Suite and Users.

  • Write

    Manage the associations of a LDAP Server

    This endpoint allows you to manage the direct associations of a LDAP Server. A direct association can be a non-homogeneous relationship between 2 different objects, for example LDAP and Users.

  • Write

    Manage the associations of a Password Manager Item

    This endpoint manages the direct associations of a Password Manager Item. A direct association can be a non-homogeneous relationship between 2 different objects, for example a Password Manager Item and Users.

  • Write

    Manage the associations of an Office 365 instance

    This endpoint allows you to manage the direct associations of a Office 365 instance. A direct association can be a non-homogeneous relationship between 2 different objects, for example Office 365 and Users.

  • Write

    Manage the associations of a Policy

    This endpoint allows you to manage the direct associations of a Policy. A direct association can be a non-homogeneous relationship between 2 different objects, for example Policies and Systems.

  • Write

    Manage an agent group's assigned applications

    Add or remove application assignments for an agent group in your organization.

  • Write

    Manage the members of an agent group

    Add or remove agents from an agent group in your organization.

  • Write

    Manage the associations of a Policy Group

    This endpoint manages the direct associations of this Policy Group. A direct association can be a non-homogeneous relationship between 2 different objects, for example Policy Groups and Policies.

  • Write

    Manage the members of a Policy Group

    This endpoint allows you to manage the Policy members of a Policy Group.

  • Write

    Manage the associations of a RADIUS Server

    This endpoint allows you to manage the direct associations of a Radius Server. A direct association can be a non-homogeneous relationship between 2 different objects, for example Radius Servers and Users.

  • Write

    Manage the associations of a Rules

    This endpoint allows you to manage the direct associations of a Health monitoring rule. A direct association can be a non-homogeneous relationship between 2 different objects, for example Rules and Systems.

  • Write

    Manage the associations of a software application.

    This endpoint allows you to associate or disassociate a software application to a system or system group.

  • Write

    Manage the associations of a System Group

    This endpoint allows you to manage the direct associations of a System Group. A direct association can be a non-homogeneous relationship between 2 different objects, for example System Groups and Users.

  • Write

    Manage the members of a System Group

    This endpoint allows you to manage the system members of a System Group.

  • Write

    Manage associations of a System

    This endpoint allows you to manage the direct associations of a System. A direct association can be a non-homogeneous relationship between 2 different objects, for example Systems and Users.

  • Write

    Manage the associations of a User Group

    This endpoint manages the direct associations of this User Group. A direct association can be a non-homogeneous relationship between 2 different objects, for example User Groups and Users.

  • Write

    Manage the members of a User Group

    This endpoint allows you to manage the user members of a User Group.

  • Write

    Manage the associations of a User

    This endpoint allows you to manage the direct associations of a User. A direct association can be a non-homogeneous relationship between 2 different objects, for example Users and Systems.

  • Write

    Manage the associations of a routing policy

    This endpoint manages the direct associations of a Routing Policy. A direct association can be a non-homogeneous relationship between 2 different objects, for example a Routing Policy and Users.

  • Write

    Transfer user to target organization

    Transfer a user to a target organization

  • Write

    Basic Transfer Device Between Organizations

    Performs a basic transfer of a device (no system user transfer) from one organization to another.

Translation Rules

  • Read

    List Translation Rules of the given active directory

    This endpoint allows you to list all translation rules for a given Active Directory domain instance.

  • Read

    List Recommendation Translation Rules of the given active directory

    This endpoint allows you to list all translation rules for a given Active Directory domain instance.

  • Read

    Preview of Translation Rules

    This endpoint previews the translation rules for a user. Sample Request curl -X POST 'https://console.jumpcloud.com/api/v2/activedirectories/{activedirectoryid}/translationrules/preview' \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIK…

  • Write

    Bulk Translation Rules Operations

    This endpoint allows performing multiple translation rule operations (insert, update, delete) in a single request.

  • Write

    Create Translation Rule

    This endpoint allows you to create a new translation rule for a given Active Directory domain instance.

  • Destructive

    Update Translation Rule

    This endpoint allows you to update an existing translation rule. It supports partial updates using PATCH.

  • Destructive

    Delete Translation Rule

    This endpoint allows you to delete a specific translation rule.

Administrators

  • Read

    List the association links between an Administrator and Organizations.

    This endpoint returns the association links between an Administrator and Organizations.

  • Read

    List the association links between an Organization and Administrators.

    This endpoint returns the association links between an Organization and Administrators.

  • Write

    Allow Adminstrator access to an Organization.

    This endpoint allows you to grant Administrator access to an Organization.

  • Destructive

    Remove association between an Administrator and an Organization.

    This endpoint removes the association link between an Administrator and an Organization.

Apple MDM

  • Read

    List Apple MDMs

    Get a list of all Apple MDM configurations. An empty topic indicates that a signed certificate from Apple has not been provided to the PUT endpoint yet. Note: currently only one MDM configuration per organization is supported.

  • Read

    Get Apple MDM CSR Plist

    Retrieves an Apple MDM signed CSR Plist for an organization. The user must supply the returned plist to Apple for signing, and then provide the certificate provided by Apple back into the PUT API.

  • Read

    Get Apple MDM DEP Public Key

    Retrieves an Apple MDM DEP Public Key. Sample Request curl https://console.jumpcloud.com/api/v2/applemdms/{APPLEMDMID}/depkey \ -H 'accept: application/x-pem-file' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List Apple MDM Enrollment Profiles

    Get a list of enrollment profiles for an apple mdm. Note: currently only one enrollment profile is supported.

  • Read

    Get an Apple MDM Enrollment Profile

    Get an enrollment profile Currently only requesting the mobileconfig is supported.

  • Read

    List AppleMDM Devices

    Lists all Apple MDM devices. The filter and sort queries will allow the following fields: createdAt depRegistered enrolled id osVersion serialNumber udid Sample Request curl -X GET https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices \ -H 'accept: application/json…

  • Read

    Details of an AppleMDM Device

    Gets a single Apple MDM device. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid} \ -H 'accept: application/json' \ -H 'x-api-key: {APIKEY}'

  • Write

    Refresh DEP Devices

    Refreshes the list of devices that a JumpCloud admin has added to their virtual MDM in Apple Business Manager - ABM so that they can be DEP enrolled with JumpCloud.

  • Write

    Clear Passcode

    Clear Passcode of MDM enrolled device. Sample Request curl -X POST https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid}/clearPasscode \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{}'

  • Write

    Lock Device

    Locks a DEP-enrolled device. Sample Request curl -X POST https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid}/lock \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{}'

  • Write

    Restart Device

    Restarts a DEP-enrolled device. Sample Request curl -X POST https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid}/restart \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{"kextPaths": ["Path1", "Path…

  • Write

    Shut Down Device

    Shuts down a DEP-enrolled device. Sample Request curl -X POST https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid}/shutdown \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{}'

  • Write

    Clear Restrictions Password

    Clear the restrictions password of a DEP-enrolled device. Sample Request curl -X POST https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid}/clearRestrictionsPassword \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {…

  • Write

    Clears the Activation Lock for a Device

    Clears the activation lock on the specified device. Sample Request curl -X POST https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid}/clearActivationLock \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -…

  • Write

    Refresh activation lock information for a device

    Refreshes the activation lock information for a device Sample Request curl -X POST https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid}/refreshActivationLockInformation \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-ke…

  • Write

    Schedule an OS update for a device

    Schedules an OS update for a device Sample Request curl -X POST https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid}/scheduleOSUpdate \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{"installaction"…

  • Write

    Request the status of an OS update for a device

    Pass through to request the status of an OS update Sample Request curl -X POST https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid}/osUpdateStatus \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{}'

  • Destructive

    Update an Apple MDM

    Updates an Apple MDM configuration. This endpoint is used to supply JumpCloud with a signed certificate from Apple in order to finalize the setup and allow JumpCloud to manage your devices. It may also be used to update the DEP Settings.

  • Destructive

    Delete an Apple MDM

    Removes an Apple MDM configuration. Warning: This is a destructive operation and will remove your Apple Push Certificates. We will no longer be able to manage your devices and the only recovery option is to re-register all devices into MDM.

  • Destructive

    Erase Device

    Erases a DEP-enrolled device. Sample Request curl -X POST https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid}/erase \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{}'

    POST /applemdms/{apple_mdm_id}/devices/{device_id}/erase

  • Destructive

    Remove an Apple MDM Device's Enrollment

    Remove a single Apple MDM device from MDM enrollment. Sample Request curl -X DELETE https://console.jumpcloud.com/api/v2/applemdms/{applemdmid}/devices/{deviceid} \ -H 'accept: application/json' \ -H 'x-api-key: {APIKEY}'

Bulk Job Requests

  • Read

    List Bulk Users Results

    This endpoint will return the results of particular user import or update job request.

  • Read

    List Scheduled Userstate Change Jobs

    The endpoint allows you to list scheduled statechange jobs. Sample Request curl -X GET "https://console.jumpcloud.com/api/v2/bulk/userstates" \ -H 'x-api-key: {APIKEY}' \ -H 'Content-Type: application/json' \ -H 'Accept: application/json'

  • Read

    Get the next scheduled state change for a list of users

    This endpoint is used to lookup the next upcoming scheduled state change for each user in the given list. The users parameter is limited to 100 items per request. The results are also limited to 100 items. This endpoint returns a max of 1 event per state per user.

  • Write

    Bulk Users Create

    The endpoint allows you to create a bulk job to asynchronously create users. See Create a System User for the full list of attributes. Default User State The state of each user in the request can be explicitly passed in or omitted.

  • Write

    Bulk Users Update

    The endpoint allows you to create a bulk job to asynchronously update users. See Update a System User for full list of attributes.

  • Write

    Bulk Expire Users

    The endpoint allows you to start a bulk job to asynchronously expire users.

  • Write

    Bulk Unlock Users

    The endpoint allows you to start a bulk job to asynchronously unlock users.

  • Write

    Create Scheduled Userstate Job

    This endpoint allows you to create scheduled statechange jobs.

  • Destructive

    Delete Scheduled Userstate Job

    This endpoint deletes a scheduled statechange job. Sample Request curl -X DELETE "https://console.jumpcloud.com/api/v2/bulk/userstates/{ScheduledJobID}" \ -H 'x-api-key: {APIKEY}' \ -H 'Content-Type: application/json' \ -H 'Accept: application/json'

Directories

  • Read

    List All Directories

    This endpoint returns all active directories (LDAP, O365 Suite, G-Suite).

Duo

  • Read

    List Duo Accounts

    This endpoint returns all the Duo accounts for your organization. Note: There can currently only be one Duo account for your organization.

  • Read

    List Duo Applications

    This endpoint returns all the Duo applications for the specified Duo account. Note: There can currently only be one Duo application for your organization.

  • Read

    Get a Duo application

    This endpoint returns a specific Duo application that is associated with the specified Duo account.

  • Read

    Get a Duo Acount

    This endpoint returns a specific Duo account. Sample Request curl https://console.jumpcloud.com/api/v2/duo/accounts/{id} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Write

    Create Duo Account

    Registers a Duo account for an organization. Only one Duo account will be allowed, in case an organization has a Duo account already a 409 (Conflict) code will be returned.

  • Write

    Create Duo Application

    Creates a Duo application for your organization and the specified account.

  • Destructive

    Update Duo Application

    Updates the specified Duo application. Sample Request curl -X PUT https://console.jumpcloud.com/api/v2/duo/accounts/{ACCOUNTID}/applications/{APPLICATIONID} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{ "name": "Applicat…

  • Destructive

    Delete a Duo Application

    Deletes the specified Duo application, an error will be returned if the application is used in a protected resource.

  • Destructive

    Delete a Duo Account

    Removes the specified Duo account, an error will be returned if the account has some Duo application used in a protected resource.

Groups

  • Read

    List All Groups

    This endpoint returns all Groups that exist in your organization.

G Suite

  • Read

    List all the G Suite Translation Rules

    This endpoint returns all graph translation rules for a specific G Suite instance. These rules specify how JumpCloud attributes translate to G Suite Admin SDK attributes.

  • Read

    Gets a specific G Suite translation rule

    This endpoint returns a specific translation rule for a specific G Suite instance. These rules specify how JumpCloud attributes translate to G Suite Admin SDK attributes.

  • Read

    Get G Suite

    This endpoint returns a specific G Suite. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/gsuites/{GSUITEID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get a list of users to import from a G Suite instance

    Lists G Suite users available for import.

  • Read

    Get a list of users in Jumpcloud format to import from a Google Workspace account.

    Lists available G Suite users for import, translated to the Jumpcloud user schema.

  • Read

    List all domains configured for the Google Workspace integration instance

    List the domains configured for a specific Google Workspace directory sync integration instance.

  • Read

    List Scheduled Jobs

    Endpoint to list scheduled jobs for specified Google Workspace integration.

  • Write

    Create a new G Suite Translation Rule

    This endpoint allows you to create a translation rule for a specific G Suite instance. These rules specify how JumpCloud attributes translate to G Suite Admin SDK attributes.

  • Write

    Update existing G Suite

    This endpoint allows updating some attributes of a G Suite. Sample Request curl -X PATCH https://console.jumpcloud.com/api/v2/gsuites/{GSUITEID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{ "userLockoutAction": "suspend…

  • Write

    Add a domain to a Google Workspace integration instance

    Add a domain to a specific Google Workspace directory sync integration instance. The domain must be a verified domain in Google Workspace.

  • Write

    Create a Scheduled Job

    Endpoint to create a scheduled job for specified Google Workspace integration.

  • Write

    Update a Scheduled Job

    Endpoint to update the specified scheduled job

  • Destructive

    Deletes a G Suite translation rule

    This endpoint allows you to delete a translation rule for a specific G Suite instance. These rules specify how JumpCloud attributes translate to G Suite Admin SDK attributes.

  • Destructive

    Delete a domain from a Google Workspace integration instance

    Delete a domain from a specific Google Workspace directory sync integration instance.

  • Destructive

    Delete a Scheduled Job

    Endpoint to delete the specified scheduled job from gapps and kala.

IP Lists

  • Read

    List IP Lists

    Retrieve all IP lists. Sample Request curl https://console.jumpcloud.com/api/v2/iplists \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get an IP list

    Return a specific IP list. Sample Request curl https://console.jumpcloud.com/api/v2/iplists/{id} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Write

    Create IP List

    Create an IP list. Sample Request curl -X POST https://console.jumpcloud.com/api/v2/iplists \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{ "name": "Sample IP List", "ips": [ "192.168.10.12", "192.168.10.20 - 192.168.10.30…

  • Write

    Update an IP list

    Update a specific IP list. Sample Request curl -X PATCH https://console.jumpcloud.com/api/v2/iplists/{id} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{"name": "New IP List Name"}'

  • Destructive

    Replace an IP list

    Replace a specific IP list. Sample Request curl -X PUT https://console.jumpcloud.com/api/v2/iplists/{id} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{ "name": "Sample IP List", "ips": [ "192.168.10.10" ] }'

  • Destructive

    Delete an IP list

    Delete a specific IP list. Sample Request curl -X DELETE https://console.jumpcloud.com/api/v2/iplists/{id} \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-api-key: {APIKEY}'

LDAP Servers

  • Read

    List LDAP Servers

    This endpoint returns the object IDs of your LDAP servers. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/ldapservers/ \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get LDAP Server

    This endpoint returns a specific LDAP server. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/ldapservers/{LDAPID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Write

    Update existing LDAP server

    This endpoint allows updating some attributes of an LDAP server.

Samba Domains

  • Read

    List Samba Domains

    This endpoint returns all samba domains for an LDAP server. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/ldapservers/{LDAPID}/sambadomains \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get Samba Domain

    This endpoint returns a specific samba domain for an LDAP server.

  • Write

    Create Samba Domain

    This endpoint allows you to create a samba domain for an LDAP server.

  • Destructive

    Update Samba Domain

    This endpoint allows you to update the samba domain information for an LDAP server.

  • Destructive

    Delete Samba Domain

    This endpoint allows you to delete a samba domain from an LDAP server. Sample Request curl -X DELETE https://console.jumpcloud.com/api/v2/ldapservers/{LDAPID}/sambadomains/{SAMBAID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

Office 365

  • Read

    Get Office 365 instance

    This endpoint returns a specific Office 365 instance. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/office365s/{OFFICE365ID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    List all the Office 365 Translation Rules

    This endpoint returns all translation rules for a specific Office 365 instance. These rules specify how JumpCloud attributes translate to Microsoft Graph attributes.

  • Read

    Gets a specific Office 365 translation rule

    This endpoint returns a specific translation rule for a specific Office 365 instance. These rules specify how JumpCloud attributes translate to Microsoft Graph attributes.

  • Read

    Get a list of users to import from an Office 365 instance

    Lists Office 365 users available for import.

  • Read

    List all domains configured for an Office 365 instance

    List the domains configured for a specific M365/Azure AD directory sync integration instance.

  • Write

    Update existing Office 365 instance.

    This endpoint allows updating some attributes of an Office 365 instance.

  • Write

    Create a new Office 365 Translation Rule

    This endpoint allows you to create a translation rule for a specific Office 365 instance. These rules specify how JumpCloud attributes translate to Microsoft Graph attributes.

  • Write

    Add a domain to an Office 365 instance

    Add a domain to a specific M365/Azure AD directory sync integration instance. The domain must be a verified domain in M365/Azure AD.

  • Write

    Create an Office 365 instance by tenant ID

    Create a Microsoft 365 / Entra integration instance scoped to a tenant ID, without exchanging OAuth credentials.

  • Destructive

    Deletes a Office 365 translation rule

    This endpoint allows you to delete a translation rule for a specific Office 365 instance. These rules specify how JumpCloud attributes translate to Microsoft Graph attributes.

  • Destructive

    Delete a domain from an Office 365 instance

    Delete a domain from a specific M365/Azure AD directory sync integration instance.

  • Destructive

    Update the Entra external user ID for an Office 365-bound user

    Sets or updates the stored Microsoft Entra external user ID (Entra Object ID) for a single JumpCloud user bound to this Office 365 integration instance. Mirrors the Active Directory PUT /activedirectories/{activedirectoryid}/user/update contract.

  • Destructive

    Set external identity correlations

    Set or update Entra external user ID correlations for multiple JumpCloud users on an Office 365 integration resource.

Sample Data

  • Write

    This endpoint creates sample data for trial organizations as part of the Sample data Opt-In functionality.

    This endpoint creates sample data for the organization based on the requested resource types.

Providers

  • Read

    Get all cases (Support/Feature requests) for provider

    This endpoint returns the cases (Support/Feature requests) for the provider

  • Read

    Get the metadata for cases

    This endpoint returns the metadata for cases

  • Read

    Retrieve Providers

    This endpoint returns details about your providers

  • Read

    List Associations for an Active Directory Integration

    This endpoint allows you to list all the associations for an Active Directory integration.

  • Read

    List Associations for a G Suites Account

    This endpoint allows you to list all the associations for a G Suites Account Sample Request curl -X GET https://console.jumpcloud.com/api/v2/providers/{providerid}/gsuite/{gsuiteid}/associations \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'x-org-id…

  • Read

    List Active Directories

    This endpoint allows you to list all your Active Directory Instances for a Providers primary organization.

  • Read

    List GSuite Accounts

    This endpoint allows you to list all your gsuites accounts for a Providers primary organization.

  • Read

    List Provider Administrators

    This endpoint returns a list of the Administrators associated with the Provider. You must be associated with the provider to use this route.

  • Read

    Retrieve Integrations for Provider

    Retrieves a list of integrations this provider has configured. You must be associated to the provider to use this endpoint.

  • Read

    List a provider's invoices.

    Retrieves a list of invoices for this provider. You must be associated to the provider to use this endpoint.

  • Read

    Download a provider's invoice.

    Retrieves an invoice for this provider. You must be associated to the provider to use this endpoint.

  • Read

    Retrieve a configured policy template by id.

    Retrieves a Configured Policy Templates for this provider and Id.

  • Read

    List a provider's configured policy templates.

    Retrieves a list of Configured Policy Templates for this provider.

  • Read

    List a provider's policy group templates.

    Retrieves a list of Policy Group Templates for this provider.

  • Read

    Gets a provider's policy group template.

    Retrieves a Policy Group Template for this provider.

  • Read

    Gets the list of members from a policy group template.

    Retrieves a Policy Group Template's Members.

  • Read

    Retrieve Recent Integration Sync Errors

    Retrieves recent sync errors for given integration type and integration id. You must be associated to the provider the integration is tied to in order to use this api.

  • Read

    Retrieve ConnectWise Integration Configuration

    Retrieves configuration for given ConnectWise integration id. You must be associated to the provider the integration is tied to in order to use this api.

  • Read

    Retrieve ConnectWise Agreements

    Retrieves a list of ConnectWise agreements for the given ConnectWise id. You must be associated to the same provider as the ConnectWise integration to use this endpoint.

  • Read

    Retrieve ConnectWise Additions

    Retrieves a list of ConnectWise additions for the given ConnectWise id and Agreement id. You must be associated to the same provider as the ConnectWise integration to use this endpoint.

  • Read

    Retrieve ConnectWise Companies

    Retrieves a list of ConnectWise companies for the given ConnectWise id. You must be associated to the same provider as the ConnectWise integration to use this endpoint.

  • Read

    Retrieve ConnectWise Company Types

    Retrieves a list of user defined company types from ConnectWise for the given ConnectWise id.

  • Read

    Retrieve ConnectWise mappings

    Retrieves the list of mappings for this ConnectWise integration. You must be associated to the same provider as the ConnectWise integration to use this api.

  • Read

    Retrieve ConnectWise Integration settings

    Retrieve the ConnectWise integration settings. You must be associated to the same provider as the ConnectWise integration to use this endpoint.

  • Read

    Get all ConnectWise ticketing alert configurations for a provider

    Get all ConnectWise ticketing alert configurations for a provider.

  • Read

    Get all ConnectWise ticketing alert configuration options for a provider

    Get all ConnectWise ticketing alert configuration options for a provider.

  • Read

    Retrieve Autotask Integration Configuration

    Retrieves configuration for given Autotask integration id. You must be associated to the provider the integration is tied to in order to use this api.

  • Read

    Retrieve Autotask Company Types

    Retrieves a list of user defined company types from Autotask for the given Autotask id.

  • Read

    Retrieve Autotask Integration settings

    Retrieve the Autotask integration settings. You must be associated to the same provider as the Autotask integration to use this endpoint.

  • Read

    Retrieve Autotask Contracts

    Retrieves a list of Autotask contracts for the given Autotask integration id. You must be associated to the same provider as the Autotask integration to use this endpoint.

  • Read

    Retrieve Autotask Contract Services

    Retrieves a list of Autotask contract services for the given Autotask integration id. You must be associated to the same provider as the Autotask integration to use this endpoint.

  • Read

    Retrieve Autotask Contract Fields

    Retrieves a list of Autotask contract fields for the given Autotask integration id. You must be associated to the same provider as the Autotask integration to use this endpoint.

  • Read

    Retrieve Autotask Companies

    Retrieves a list of Autotask companies for the given Autotask id. You must be associated to the same provider as the Autotask integration to use this endpoint.

  • Read

    Retrieve Autotask mappings

    Retrieves the list of mappings for this Autotask integration. You must be associated to the same provider as the Autotask integration to use this api.

  • Read

    Get all ticketing alerts available for a provider's ticketing integration.

    Get all ticketing alerts available for a provider's ticketing integration.

  • Read

    Get all Autotask ticketing alert configurations for a provider

    Get all Autotask ticketing alert configurations for a provider.

  • Read

    Get all Autotask ticketing alert configuration options for a provider

    Get all Autotask ticketing alert configuration options for a provider.

  • Read

    Retrieve Syncro Integration Configuration

    Retrieves configuration for given Syncro integration id. You must be associated to the provider the integration is tied to in order to use this api.

  • Read

    Retrieve Syncro Integration settings

    Retrieve the Syncro integration settings. You must be associated to the same provider as the Syncro integration to use this endpoint.

  • Read

    Get all Syncro ticketing alert configurations for a provider

    Get all Syncro ticketing alert configurations for a provider.

  • Read

    Get all Syncro ticketing alert configuration options for a provider

    Get all Syncro ticketing alert configuration options for a provider.

  • Read

    Retrieve Syncro Companies

    Retrieves a list of Syncro companies for the given Syncro id. You must be associated to the same provider as the Syncro integration to use this endpoint.

  • Read

    Retrieve Syncro mappings

    Retrieves the list of mappings for this Syncro integration. You must be associated to the same provider as the Syncro integration to use this api.

  • Read

    Retrieve Syncro billing mappings dependencies

    Retrieves a list of dependencies for Syncro billing mappings.

  • Read

    Retrieve Provider

    This endpoint returns details about a provider

  • Read

    List Provider Organizations

    This endpoint returns a list of the Organizations associated with the Provider. You must be associated with the provider to use this route.

  • Read

    List Provider Directory Insights organizations (org picker)

    Lists organizations for the Provider Directory Insights org filter picker. Returns accessible live child organizations under the path provider.

  • Read

    Retrieve billing details for a Provider

    Retrieve billing details for a Provider

  • Read

    Retrieve contract for a Provider

    Retrieve contract for a Provider

  • Write

    Manage Active Directory Integration Associations for Provider

    Creates or deletes an association between an Active Directory integration and a secondary organization. This endpoint is the core mechanism for sharing or un-sharing an integration. The caller must belong to the owner organization (the provider's primary organization).

  • Write

    Manage GSuite account Associations for Provider

    Creates or deletes an association between an G Suite Account and a secondary organization. This endpoint is the core mechanism for sharing or un-sharing an integration. The caller must belong to the owner organization (the provider's primary organization).

  • Write

    Manage User Group Associations for Provider

    Creates or deletes an association between a user group and a secondary organization. This endpoint is the core mechanism for sharing or un-sharing a user group. The caller must belong to the owner organization (the provider's primary organization).

  • Write

    Manage System Group Associations for Provider

    Creates or deletes an association between a system group and a secondary organization. This endpoint is the core mechanism for sharing or un-sharing a system group. The caller must belong to the owner organization (the provider's primary organization).

  • Write

    Manage Policy Group Associations for Provider

    Creates or deletes an association between a policy group and a secondary organization. This endpoint is the core mechanism for sharing or un-sharing a policy group. The caller must belong to the owner organization (the provider's primary organization).

  • Write

    Create a new Provider Administrator

    This endpoint allows you to create a provider administrator. You must be associated with the provider to use this route. You must provide either role or roleName.

  • Write

    Creates a new ConnectWise integration for the provider

    Creates a new ConnectWise integration for the provider. You must be associated with the provider to use this route. A 422 Unprocessable Entity response means the server failed to validate with ConnectWise.

  • Write

    Update ConnectWise Integration configuration

    Update the ConnectWise integration configuration. A 422 Unprocessable Entity response means the server failed to validate with ConnectWise.

  • Write

    Create, edit, and/or delete ConnectWise Mappings

    Create, edit, and/or delete mappings between Jumpcloud organizations and ConnectWise companies/agreements/additions. You must be associated to the same provider as the ConnectWise integration to use this api.

  • Write

    Create, edit, and/or delete ConnectWise Integration settings

    Create, edit, and/or delete ConnectWiseIntegration settings. You must be associated to the same provider as the ConnectWise integration to use this endpoint.

  • Write

    Creates a new Autotask integration for the provider

    Creates a new Autotask integration for the provider. You must be associated with the provider to use this route. A 422 Unprocessable Entity response means the server failed to validate with Autotask.

  • Write

    Update Autotask Integration configuration

    Update the Autotask integration configuration. A 422 Unprocessable Entity response means the server failed to validate with Autotask.

  • Write

    Create, edit, and/or delete Autotask Integration settings

    Create, edit, and/or delete Autotask settings. You must be associated to the same provider as the Autotask integration to use this endpoint.

  • Write

    Create, edit, and/or delete Autotask Mappings

    Create, edit, and/or delete mappings between Jumpcloud organizations and Autotask companies/contracts/services. You must be associated to the same provider as the Autotask integration to use this api.

  • Write

    Creates a new Syncro integration for the provider

    Creates a new Syncro integration for the provider. You must be associated with the provider to use this route. A 422 Unprocessable Entity response means the server failed to validate with Syncro.

  • Write

    Update Syncro Integration configuration

    Update the Syncro integration configuration. A 422 Unprocessable Entity response means the server failed to validate with Syncro.

  • Write

    Create, edit, and/or delete Syncro Integration settings

    Create, edit, and/or delete SyncroIntegration settings. You must be associated to the same provider as the Syncro integration to use this endpoint.

  • Write

    Create, edit, and/or delete Syncro Mappings

    Create, edit, and/or delete mappings between Jumpcloud organizations and Syncro companies. You must be associated to the same provider as the Syncro integration to use this api.

  • Write

    Create Provider Organization

    This endpoint creates a new organization under the provider

  • Write

    POST provider Directory Insights events query (converged audit)

    Provider-scoped Directory Insights events query for converged (hybrid) audit logs. Proxies to insights-internal POST /v1/providers/events. The providerid in the path must match the authenticated provider (see providerTenancy). x-org-id is optional.

  • Write

    POST provider Directory Insights distinct event field values (converged audit)

    Provider-scoped Directory Insights distinct field values for converged (hybrid) audit logs. Proxies to insights-internal POST /v1/providers/events/distinct. The providerid in the path must match the authenticated provider (see providerTenancy). x-org-id is optional.

  • Write

    POST provider Directory Insights events count (converged audit)

    Provider-scoped Directory Insights events count for converged (hybrid) audit logs. Proxies to insights-internal POST /v1/providers/events/count. The providerid in the path must match the authenticated provider (see providerTenancy). x-org-id is optional.

  • Write

    POST provider Directory Insights events interval (converged audit)

    Provider-scoped Directory Insights events interval for converged (hybrid) audit logs. Proxies to insights-internal POST /v1/providers/events/interval. The providerid in the path must match the authenticated provider (see providerTenancy). x-org-id is optional.

  • Destructive

    Delete Provider Administrator

    This endpoint removes an Administrator associated with the Provider. You must be associated with the provider to use this route.

  • Destructive

    Deletes policy group template.

    Deletes a Policy Group Template.

  • Destructive

    Delete ConnectWise Integration

    Removes a ConnectWise integration.

  • Destructive

    Update a ConnectWise ticketing alert's configuration

    Update a ConnectWise ticketing alert's configuration.

  • Destructive

    Delete Autotask Integration

    Removes a Autotask integration.

  • Destructive

    Update an Autotask ticketing alert's configuration

    Update an Autotask ticketing alert's configuration

  • Destructive

    Delete Syncro Integration

    Removes a Syncro integration.

  • Destructive

    Update a Syncro ticketing alert's configuration

    Update a Syncro ticketing alert's configuration

  • Destructive

    Update provider name, settings, and contact

    This endpoint edit settings about a provider

  • Destructive

    Update Provider Organization

    This endpoint updates a provider's organization

Subscriptions

  • Read

    Lists all the Pricing & Packaging Subscriptions

    This endpoint returns all pricing & packaging subscriptions. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/subscriptions \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

Policies

  • Read

    Lists all the Policies

    This endpoint returns all policies. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policies \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Gets a specific Policy.

    This endpoint returns a specific policy. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policies/{PolicyID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Lists all the policy results of a policy.

    This endpoint returns all policies results for a specific policy. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policies/{PolicyID}/policyresults \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Lists the latest policy results of a policy.

    This endpoint returns the latest policy results for a specific policy. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policies/{PolicyID}/policystatuses \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Lists all of the policy results for an organization.

    This endpoint returns all policy results for an organization. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policyresults \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get a specific Policy Result.

    This endpoint will return the policy results for a specific policy. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policyresults/{PolicyID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Write

    Create a new Policy

    This endpoint allows you to create a policy. Given the amount of configurable parameters required to create a Policy, we suggest you use the JumpCloud Admin Console to create new policies.

  • Destructive

    Update an existing Policy

    This endpoint allows you to update a policy. Given the amount of configurable parameters required to update a Policy, we suggest you use the JumpCloud Admin Console to create new policies.

  • Destructive

    Deletes a Policy

    This endpoint allows you to delete a policy. Sample Request curl -X DELETE https://console.jumpcloud.com/api/v2/policies/5a837ecd232e110d4291e6b9 \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

Agent Groups

  • Read

    List agent groups

    Retrieves a paginated list of agent groups in your organization.

  • Read

    Retrieve an agent group

    Retrieves an agent group in your organization.

  • Write

    Create an agent group

    Creates a new agent group in your organization.

  • Write

    Update an agent group

    Updates an agent group. Omitted fields are left unchanged.

  • Destructive

    Delete an agent group

    Permanently deletes an agent group.

Policy Groups

  • Read

    List all Policy Groups

    This endpoint returns all Policy Groups. Available filter fields: - name - disabled - type Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policygroups \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    View an individual Policy Group details

    This endpoint returns the details of a Policy Group. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policygroups/{GroupID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Write

    Create a new Policy Group

    This endpoint allows you to create a new Policy Group. Sample Request curl -X POST https://console.jumpcloud.com/api/v2/policygroups \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}' \ -d '{ "name": "{GroupName}" }'

  • Destructive

    Update a Policy Group

    This endpoint allows you to do a full update of the Policy Group.

  • Destructive

    Delete a Policy Group

    This endpoint allows you to delete a Policy Group. Sample Request curl -X DELETE https://console.jumpcloud.com/api/v2/policygroups/{GroupID} \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

Policytemplates

  • Read

    Lists all of the Policy Templates

    This endpoint returns all policy templates. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policytemplates \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

  • Read

    Get a specific Policy Template

    This endpoint returns a specific policy template. Sample Request curl -X GET https://console.jumpcloud.com/api/v2/policytemplates/{PolicyTemplateID}\ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H 'x-api-key: {APIKEY}'

Software Apps

  • Read

    Get all configured Software Applications.

[...]
